package com.elab.test.mongodb.ext;

import com.alibaba.fastjson.JSONObject;
import com.elab.mongodb.BaseMongodb;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/11/18 10:26
 */
public class JsonObjectDb extends BaseMongodb<JSONObject> {

    @Autowired
    private MongoTemplate mongoTemplate;
    @Override
    public MongoTemplate getMongoTemplate() {
        return mongoTemplate;
    }

    @Override
    public Class<JSONObject> getEntity() {
        return JSONObject.class;
    }
    public void setMongoTemplate(MongoTemplate mongoTemplate) {
        this.mongoTemplate = mongoTemplate;
    }
}
